package com.holmos.cache.element.listener;

/**
 * 元素访问监听器
 * @author: 吴银龙(sunshine307087558@gmail.com)
 * @version: 2013-3-7 下午12:49:28 
 */

public interface ElementAccessListener {
	
	/**
	 * get获取操作执行之前触发
	 * */
	public void beforeGet();

	/**
	 * get获取操作执行之后触发
	 * */
	public void afterGet();

	/**
	 * 插入操作执行之前触发
	 * */
	public void beforeInsert();

	/**
	 * 插入操作执行之后触发
	 * */
	public void afterInsert();

	/**
	 * 更新操作执行之前触发
	 * */
	public void beforeUpdate();

	/**
	 * 更新获取操作执行之后触发
	 * */
	public void afterUpdate();

	/**
	 * 删除操作执行之前触发
	 * */
	public void beforeDelete();

	/**
	 * 删除操作执行之后触发
	 * */
	public void afterDelete();
}
